%define		rel 025
Summary: 	The VIM editor.
Name: 		vim
Version: 	7.2
Release: 	1
Copyright: 	freeware
Group: 		Editors
Source0: 	%{name}-%{version}.tar.bz2
Source1: 	%{name}.desktop
Source2:	%{name}tutor.desktop
Source3:	%{name}-%{version}.%{rel}-patches.tar.bz2
URL: 		http://www.vim.org
Buildroot: 	%{_tmppath}/%{name}-%{version}-root

%description
wget -r ftp://ftp.vim.org/pub/vim/patches/7.0
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.

%package 	common
Summary: 	The common files needed by any version of the VIM editor.
Group: 		Editors

%description 	common
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more.  The
vim-common package contains files which every VIM binary will need in
order to run.

If you are installing any version of the VIM editor, you'll also need
to the vim-common package installed.

%package 	minimal
Summary: 	A minimal version of the VIM editor.
Group: 		Editors
Requires: 	vim-common
Obsoletes:  	vim

%description 	minimal
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and more. The
vim-minimal package includes a minimal version of VIM, which is
installed into /bin/vi for use when only the root partition is
present.

Install the vim-minimal package if you'd like to use a version of the
VIM editor which includes recently added enhancements like
interpreters for the Python and Perl scripting languages.  You'll also
need to install the vim-common package.

%package 	X11
Summary: 	The VIM version of the vi editor for the X Window System.
Group: 		Editors
Requires: 	vim-common

%description 	X11
VIM (VIsual editor iMproved) is an updated and improved version of the
vi editor.  Vi was the first real screen-based editor for UNIX, and is
still very popular.  VIM improves on vi by adding new features:
multiple windows, multi-level undo, block highlighting and
more. VIM-X11 is a version of the VIM editor which will run within the
X Window System.  If you install this package, you can run VIM as an X
application with a full GUI interface and mouse support.

Install the vim-X11 package if you'd like to try out a version of vi
with graphics and mouse capabilities.  You'll also need to install the
vim-common package.

%prep
%setup -q -n vim72 -a3
# Official Vi IMproved patches.
for i in %{name}-%{version}.%{rel}-patches/%{version}*; do
        patch -p0 -s < $i
done

%build
cd src
%configure --with-features=huge --enable-pythoninterp --enable-perlinterp \
 --disable-tclinterp --with-x=yes --enable-gui=gtk2 --exec-prefix=/usr/X11R6 \
 --enable-xim --enable-multibyte --enable-fontset --disable-acl --disable-nls
make
cp vim gvim
make clean

%configure --prefix=/usr --with-features=huge --enable-pythoninterp \
 --enable-perlinterp --disable-tclinterp --with-x=no --enable-gui=no \
 --exec-prefix=/usr --enable-multibyte --enable-fontset --disable-acl \
 --disable-nls
make
cp vim enhanced-vim
make clean

%configure --prefix='${DEST}'/usr --with-features=tiny --with-x=no \
  --disable-pythoninterp --disable-perlinterp --disable-tclinterp \
  --with-tlib=termcap --enable-gui=no --disable-gpm --exec-prefix=/usr \
  --disable-acl --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,share/vim,X11R6/bin}

cd src
make DESTDIR=$RPM_BUILD_ROOT install
make installmacros DESTDIR=$RPM_BUILD_ROOT
install -s -m755 gvim $RPM_BUILD_ROOT/usr/X11R6/bin
install -s -m755 enhanced-vim $RPM_BUILD_ROOT/usr/bin/vim

( cd $RPM_BUILD_ROOT/usr
  mv ./bin/vim ./bin/vi
  rm -f ./bin/rvim
  ln -sf vi ./bin/view
  ln -sf vi ./bin/ex
  ln -sf vi ./bin/rvi
  ln -sf vi ./bin/rview
  ln -sf vi ./bin/ex
  ln -sd vi ./bin/vim
  ln -sf gvim ./X11R6/bin/gview
  ln -sf gvim ./X11R6/bin/gex
  cd ../
  perl -pi -e "s,$RPM_BUILD_ROOT,," .%{_mandir}/man1/vim.1 .%{_mandir}/man1/vimtutor.1
  rm -f .%{_mandir}/man1/rvim.1
  ln -sf vim.1.gz .%{_mandir}/man1/vi.1.gz
  ln -sf vim.1.gz .%{_mandir}/man1/rvi.1.gz
  ln -sf vim.1.gz .%{_mandir}/man1/gvim.1.gz
  ln -sf gvim ./usr/X11R6/bin/vimx
  mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Editors
  cp %{SOURCE1} %{SOURCE2} $RPM_BUILD_ROOT/usr/share/peanut/apps/Editors
)

# Dependency cleanups
chmod 644 $RPM_BUILD_ROOT/usr/share/vim/vim72/doc/vim2html.pl \
 $RPM_BUILD_ROOT/usr/share/vim/vim72/tools/*.pl \
 $RPM_BUILD_ROOT/usr/share/vim/vim72/tools/vim132
chmod 644 ../runtime/doc/vim2html.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files common
%defattr(-,root,root)
%doc README*.txt runtime/macros/README.txt runtime/tools/README.txt
%doc runtime/doc runtime/syntax runtime/termcap runtime/tutor
%doc runtime/*.vim
/usr/bin/vimtutor
/usr/bin/xxd
/usr/share/vim
/usr/man

%files minimal
%defattr(-,root,root)
/usr/bin/ex
/usr/bin/vi
/usr/bin/view
/usr/bin/rvi
/usr/bin/rview
/usr/bin/vim

%files X11
%defattr(-,root,root)
/usr/X11R6/bin/gvim
/usr/X11R6/bin/gview
/usr/X11R6/bin/gex
/usr/X11R6/bin/vimx
/usr/share/peanut
